Home Products Free Stuff Downloads Buy On-Line Articles Contact us

XLine – kind of a picky AutoCAD object. Often XLines work differently, not like other AutoCAD objects. In simple situation they can create a problem.

When XLine is a part of Xreference, you may face disallowed selection. Look, how the user on video below is trying to move-copy XReference containing XLines (red and yellow lines).  Draw line with snap Nearest - doesn’t work either.

First thought (s): Something wrong with the drawing? Or Xreference file is corrupted? Maybe I should restart AutoCAD? Or better restart computer? – Nothing works.

So we cannot snap or use in selection XLine – part of Xreference, right? – Not exactly… Xlines,  parts of Xrefs, allow you to select them or touch them using osnap, if you would place selection point or selection window inside of boundary box of Xreference... Watch

Selection or snap points located between green lines – left and right borders of imaginary bounding box…Now it works. - ...That's weird!


Quick dimensions don’t work with XLines. Standard respond in command prompt: Invalid number of dimension points found.

To make QDIM working, convert XLines to lines:1st trim or break converts XLine to Ray, 2nd time – ray becomes a line.


Single Fillet works. Frequently used Multiple Fillet – not.


End of negative part

Start positive

XLines are really great in the beginning stage of design development: for creating contour of building, preliminary layout of structural members or drafting grids. The main advantage – quick input. Two lines of LISP code will make your work faster. The most of Xlines are Horizontal or Vertical:

(defun C:XH()(command "XLINE" "H"))

(defun C:XV()(command "XLINE" "V"))

You may also shorten an input for adding bisect:

(defun C:BI()(command "XLINE" "B"))

Without any special programming you can quickly add grid in your drawing using XLines:

1- XH command to add Horizontal Xline

2- XV command

3- Move cursor far to the right, hover aperture above XLine (you can remove your hand from the mouse)

4- Enter distances between grid lines (just distances, not like @24,0 or @36,0)

 Make steps similar to above-shown to add horizontal grid lines and then trim XLines.


Alex Borodulin